MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
ReplayGainTuple Struct Reference

`#include <ReplayGainInfo.hxx>`

## Public Member Functions
void | Clear ()
constexpr bool | IsDefined () const
gcc_pure float | CalculateScale (const ReplayGainConfig &config) const

## Data Fields
float | gain
float | peak

## Detailed Description

Definition at line 29 of file ReplayGainInfo.hxx.

## Member Function Documentation

gcc_pure float ReplayGainTuple::CalculateScale | ( | const ReplayGainConfig & | config | ) | const

void ReplayGainTuple::Clear | ( |  | ) |
| inline

Definition at line 33 of file ReplayGainInfo.hxx.

constexpr bool ReplayGainTuple::IsDefined | ( |  | ) | const
| inline

Definition at line 38 of file ReplayGainInfo.hxx.

## Field Documentation

float ReplayGainTuple::gain

Definition at line 30 of file ReplayGainInfo.hxx.

float ReplayGainTuple::peak

Definition at line 31 of file ReplayGainInfo.hxx.

The documentation for this struct was generated from the following file:

- ReplayGainInfo.hxx